<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	echo 'session';
	exit;
}
$permisos = str_split($sesion->get('permiso'));

if (!in_array("A", $permisos) && !in_array("M", $permisos) && !in_array("E", $permisos)) {
    $rta = array('error' => 10001, 'desc' => "No tiene permisos");
    echo json_encode($rta);
    exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

	$cod_sed_principal=$_POST['cod_sed_principal']; 
	$cod_tipo_nombres_grupos=$_POST['cod_tipo_nombres_grupos'];
	$cons_grupo_sede=$_POST['cons_grupo_sede'];
	$cons_grupo_jorn=$_POST['cons_grupo_jorn'];
	$calendario=$_POST['calendario'];
	$max_grupos_grado=$_POST['max_grupos_grado'];
	$per_camb_saber_doc=$_POST['per_camb_saber_doc'];
	$porc_nots_eqals=$_POST['porc_nots_eqals'];

	$sql="UPDATE conf_configuracion SET cod_tipo_nombres_grupos = '$cod_tipo_nombres_grupos', cons_grupo_sede = '$cons_grupo_sede', cons_grupo_jorn = '$cons_grupo_jorn', cod_sed_principal = '$cod_sed_principal', calendario = '$calendario', max_grupos_grado = '$max_grupos_grado', per_camb_saber_doc='$per_camb_saber_doc', notas_iguales='$porc_nots_eqals'";

	$academia->instruccion($sql);
	$error= $academia->extraer_error();
	if ($error==0){
		$sql="SELECT
    conf_configuracion.cod_config
    , conf_configuracion.cod_tipo_nombres_grupos
    , aux_tipos_nombres_grupos.tipo_nombres_grupos
    , aux_tipos_nombres_grupos.nom_columna AS nombres_grupos
    , conf_configuracion.cons_grupo_sede
    , conf_configuracion.cons_grupo_jorn
    , conf_configuracion.cod_sed_principal
    , conf_configuracion.calendario
    , conf_configuracion.max_grupos_grado
	, per_camb_saber_doc
	, notas_iguales
FROM
    conf_configuracion
    INNER JOIN aux_tipos_nombres_grupos 
        ON (conf_configuracion.cod_tipo_nombres_grupos = aux_tipos_nombres_grupos.cod_tipo_nombres_grupos)";
		$academia->instruccion($sql);
		print_r($reg);
		if($academia->num_rows()>0){
			$reg=$academia->extraer_registro();
			$sesion->set('configuracion',$reg);
		}
		$academia->liberar();
	}
	echo $error;	
	$academia->cerrar();
	
	
?>